<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_histories', function (Blueprint $table) {
            $table->id();
            $table->morphs('historiable');
            $table->string('title')->nullable();
            $table->string('description')->nullable();
            $table->string('type');
            $table->foreignId('parent_id')->nullable();
            $table->text('data')->nullable();
            $table->string('system_origin')->nullable();

            $table->timestamps();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable()->index();
            $table->unsignedBigInteger('updated_by')->nullable()->index();
            $table->unsignedBigInteger('deleted_by')->nullable()->index();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_histories');
    }
};
